summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarkos Chandras <mchandras@suse.de>2017-08-17 10:24:18 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-08-17 10:24:18 +0000
commitff84867a9067fe1d7ac00ac83e6a340785f365fa (patch)
treeb12c509dbf6e1b758864f0068a51169ace82f799
parentac069fdf0157e96895bf8a75c689a822d5a80e4f (diff)
parent448b3d7b1d7c79f902e6284f8ec4607357060272 (diff)
Merge "prototypes: xci: xci-deploy.sh: Only allow XCI on Ubuntu"
-rwxr-xr-xxci/xci-deploy.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/xci/xci-deploy.sh b/xci/xci-deploy.sh
index d7112565..9eda8ae8 100755
--- a/xci/xci-deploy.sh
+++ b/xci/xci-deploy.sh
@@ -63,6 +63,15 @@ echo "-------------------------------------------------------------------------"
#-------------------------------------------------------------------------------
source file/install-ansible.sh
+# There is no CentOS or openSUSE support at all
+if [[ $OS_FAMILY != Debian ]]; then
+ echo ""
+ echo "Error: Sorry, only Ubuntu hosts are supported for now!"
+ echo "Error: CentOS7 and openSUSE Leap support is still work in progress."
+ echo ""
+ exit 1
+fi
+
# TODO: The xci playbooks can be put into a playbook which will be done later.
#-------------------------------------------------------------------------------